<?php
include('conexion.php');

$dato = $_POST['val'];
$id = $_POST['id'];

/*
$codigo= 1234;
$nombre= jose;
$rfc= 1234;
$rs= 1234;
$calle= 1234;
$ne= 1234;
$ni= 1234;
$cp= 1234;
$col= 1234;
$ciu= 1234;
$edo= 1234;
$cor= 1234;
$tel= 1234;
$cel= 1234;
$fecha= date(d-m-Y);
if($estado!=1){
mysqli_query($conexion,"UPDATE OrdenEmbarque SET EstadoPago=1 WHERE IdOrdenEmbarque= $dato");

echo '1';
}elseif($estado== 1){
	mysqli_query($conexion,"UPDATE OrdenEmbarque SET EstadoPago=0 WHERE IdOrdenEmbarque= $dato");

echo '1';
}
*/
$idf = substr($id, 1);
$v = mysqli_query($conexion,"SELECT * FROM Ventas WHERE IdVenta = '$idf'");
$f = mysqli_fetch_array($v);
$c = $f['IdCliente'];
$s = $f['Serie'];
$fol = $f['FolioVenta'];
$folio = $s.$fol;
$suc = $f['IdSucursal'];
if($suc == 1){
	$su = 'Culiacan';
}else if($suc == 2){
	$su = 'Mazatlan';
}else if($suc == 3){
	$su = 'Hermosillo';
}
$emp = $f['IdVendedor'];
$ven = mysqli_query($conexion,"SELECT * FROM Usuarios WHERE IdUsuario = '$emp'");
$venf = mysqli_fetch_array($ven);
$nomv = $venf['Nombre'].' '.$venf['Apellidos'];
$cl = mysqli_query($conexion,"SELECT * FROM Clientes WHERE IdCliente = '$c'");
$fc = mysqli_fetch_array($cl);
$nc = $fc['Nombre'];
$cel = $fc['Celular'];
$correo = $fc['Correo'];
$flagcel = 0;
		if($dato == 5 && $correo != ''){

		$destinatario = $correo;
	
		$asunto = "CUADROPOLIS - Tu orden esta lista para entrega ".$folio; 
		$cuerpo = ' 
		<html> 
		<head> 
		   <title>Nueva orden capturada</title> 
		</head> 
		<body> 
		<h1>Tu orden esta lista!</h1> 
		<p> 
		<b>Folio de la orden: '.$folio.' 
		</p> 
		<p> 
		<b>Cliente: '.$nc.'
		</p> 
		<p> 
		<b>Sucursal: '.$su.'
		</p> 
		<p> 
		<b>Capturada por: '.$nomv.'
		</p>  
		</body> 
		</html> 
		'; 
			
		$headers .= "From: Cuadropolis-SIC <ventas@cuadropolis.mx>\r\n"; 
		//para el envío en formato HTML 
		$headers .= "Organization: Cuadropolis\r\n";
		$headers .= "MIME-Version: 1.0\r\n"; 
		$headers .= "Content-type: text/html; charset=iso-8859-1\r\n"; 
		$headers .= "X-Priority: 3\r\n";
		$headers .= "X-Mailer: PHP". phpversion() ."\r\n";
		//dirección del remitente 


		mail($destinatario,$asunto,$cuerpo,$headers);
		}

		if($dato == 5 && $cel != ''){
			$s = preg_replace('/[^0-9]/', '', $cel);
			
			$contstr = strlen($s);
			if($contstr == 10){
				$flagcel = 1;
			}
		}
	$pru = mysqli_query($conexion,"UPDATE Ventas SET EstadoOrden = '$dato' WHERE IdVenta = '$idf'");
	
	echo $dato.'|'.$id.'|'.$flagcel.'|'.$s.'|'.$nc.'|'.$folio;



?>